inetsock_arg Struct Reference

## Data Fields

VALUE | sock
struct {
VALUE host
VALUE serv
struct addrinfo * res
} | remote
struct {
VALUE host
VALUE serv
struct addrinfo * res
} | local
int | type
int | fd

## Detailed Description

Definition at line 13 of file ipsocket.c.

## Field Documentation

int inetsock_arg::fd

Definition at line 21 of file ipsocket.c.

Referenced by inetsock_cleanup(), init_inetsock_internal(), and rsock_init_inetsock().

VALUE inetsock_arg::host

Definition at line 17 of file ipsocket.c.

Referenced by init_inetsock_internal(), and rsock_init_inetsock().

struct { ... } inetsock_arg::local

Referenced by inetsock_cleanup(), init_inetsock_internal(), and rsock_init_inetsock().

struct { ... } inetsock_arg::remote

Referenced by inetsock_cleanup(), init_inetsock_internal(), and rsock_init_inetsock().

struct addrinfo* inetsock_arg::res

Definition at line 18 of file ipsocket.c.

Referenced by inetsock_cleanup(), init_inetsock_internal(), and rsock_init_inetsock().

VALUE inetsock_arg::serv

Definition at line 17 of file ipsocket.c.

Referenced by init_inetsock_internal(), and rsock_init_inetsock().

VALUE inetsock_arg::sock

Definition at line 15 of file ipsocket.c.

Referenced by init_inetsock_internal(), and rsock_init_inetsock().

int inetsock_arg::type

Definition at line 20 of file ipsocket.c.

Referenced by init_inetsock_internal(), and rsock_init_inetsock().

The documentation for this struct was generated from the following file:

- ext/socket/ipsocket.c